rb_calls.d(1m)

NAME
rb_calls.d - count Ruby calls using DTrace.

SYNOPSIS
rb_calls.d

DESCRIPTION
This traces activity from all Ruby programs on the system that are running with Ruby provider support. Filename and method names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Ruby provider, which may change as additional features are introduced. Check Ruby/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # rb_calls.d

FIELDS

FILE
    Filename of the Ruby program

TYPE
    Type of call (method/obj-new/...)

NAME
    Descriptive name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
rb_calls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)